Loading...
Searching...
No Matches
apache::subversion::svnxx::error Class Reference

Encapsulate a stack of Subversion error codes and messages. More...

`#include <svnxx/exception.hpp>`

Inheritance diagram for apache::subversion::svnxx::error:

## Data Structures

class | message
| Error message description. More...

## Public Member Functions

virtual const char * | what () const noexcept override
| Returns the message associated with the top-level error that caused the exception.
virtual int | code () const noexcept
| Returns the error code associated with the top-level error that caused the exception.
virtual const char * | name () const noexcept
| Returns the symbolic name of the error code associated with the top-level error that caused the exception.
virtual std::vector< message > | messages () const
| Returns the complete list of error messages, including those from nested errors.
virtual std::vector< message > | traced_messages () const
| Like error::messages(), but includes debugging traceback.

## Protected Member Functions

| error (detail::error_ptr err)
std::vector< message > | compile_messages (bool show_traces) const

## Protected Attributes

const char *const | m_message

## Detailed Description

Encapsulate a stack of Subversion error codes and messages.

Definition at line 117 of file exception.hpp.

## Constructor & Destructor Documentation

## ~error()

virtual apache::subversion::svnxx::error::~error | ( |  | ) |

inline virtual

Definition at line 121 of file exception.hpp.

## Member Function Documentation

## messages()

virtual std::vector< message > apache::subversion::svnxx::error::messages | ( |  | ) | const

inline virtual

Returns the complete list of error messages, including those from nested errors.

Definition at line 197 of file exception.hpp.

## name()

virtual const char * apache::subversion::svnxx::error::name | ( |  | ) | const

virtual noexcept

Returns the symbolic name of the error code associated with the top-level error that caused the exception.

Note
  The returned value may be `nullptr`.

References name().

Referenced by name().

## traced_messages()

virtual std::vector< message > apache::subversion::svnxx::error::traced_messages | ( |  | ) | const

inline virtual

Like error::messages(), but includes debugging traceback.

Note
  Traceback is only available if the Subversion libraries were compiled with tracing enabled.

Definition at line 209 of file exception.hpp.

## what()

virtual const char * apache::subversion::svnxx::error::what | ( |  | ) | const

override virtual noexcept

Returns the message associated with the top-level error that caused the exception.

Note
  the returned string is valid only as long as this `error` object is in scope.

## Field Documentation

## m_message

const char* const apache::subversion::svnxx::error::m_message

protected

Definition at line 216 of file exception.hpp.

The documentation for this class was generated from the following file:

- svnxx/exception.hpp